> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create the public/private certificate key pair.

> Create the public/private certificate key pair.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /createCert
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /createCert:
    post:
      tags:
        - createCert
      summary: Create the public/private certificate key pair.
      description: Create the public/private certificate key pair.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createCert_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createCert_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    createCert_input:
      type: object
      required:
        - Filename
        - CommonName
        - Serialnumber
        - Password
      properties:
        Filename:
          type: string
          description: The file name of the certificate to be created.
        CommonName:
          type: string
          description: The common name.
        Serialnumber:
          type: string
          description: The serial number.
        Password:
          type: string
          description: The password.
        Country:
          type: string
          description: The country.
        Email:
          type: string
          description: The email.
        Expiration:
          type: string
          description: The expiration (in years).
          default: '1'
        KeySize:
          type: string
          description: The key size.
          default: '2048'
        PublicKeyType:
          type: string
          description: The public key type.
          default: X.509
        SignatureAlgorithm:
          type: string
          description: The signature algorithm.
          default: SHA256
        Locality:
          type: string
          description: The locality.
        Organization:
          type: string
          description: The organization.
        OrganizationalUnit:
          type: string
          description: The organizational unit.
        State:
          type: string
          description: The state.
    createCert_output:
      type: array
      items:
        type: object
        properties:
          Name:
            type: string
            description: The file name of the certificate that was created.
          Password:
            type: string
            description: The password.
          Pubname:
            type: string
            description: The public certificate file name.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````